#!/bin/bash

cat<<EOF
SUFFIXES = .html .pdf

TEXI2HTML    = texi2html
TEXI2HTMLOPT = -monolithic -number -menu

TEXI2PDF     = texi2pdf

CLEANFILES   = lmp.pdf lmp.html

.texi.html:
	\$(TEXI2HTML) \$(TEXI2HTMLOPT) \$<
.texi.pdf:
	\$(TEXI2PDF) \$(TEXI2PDFOPT) \$<

EOF
echo -n "lmp_TEXDEPEND = texinfo.tex "
ls -1 *.texi | while read line
do
    echo -en "\\"
    echo -en "\n\t$line\t"
done

cat<<EOF


info_TEXINFOS = lmp.texi
lmp.info: \$(lmp_TEXDEPEND)
lmp.dvi: \$(lmp_TEXDEPEND)
lmp.pdf: \$(lmp_TEXDEPEND)
lmp.html: lmp.texi

EXTRA_DIST = lmp.info *.texi
EOF